CREATE TABLE cmk_external_ptnr_msgs_b[ (
    PARTNER_MESSAGE_ID             NUMBER(18, 0)     NOT NULL,
    APPL_PTNR_CODE_XPATH           VARCHAR2(4000),
    PARTNER_MESSAGE_NAME           VARCHAR2(1024)    NOT NULL,
    PARTNER_MESSAGE_STATUS         VARCHAR2(400)     NOT NULL,
    PARTNER_MESSAGE_STATUS_DATE    TIMESTAMP(6)  ,
    OVERLAY_XSLT_FILE_NAME         VARCHAR2(2048),
    ACKNOWLEDGEMENT_CODE           VARCHAR2(400) ,
    PROCESSING_ACTION              VARCHAR2(1024),
    FROM_PARTNER_ID_XPATH          VARCHAR2(4000),
    FROM_PARTNER_ID_TYPE_XPATH     VARCHAR2(4000),
    MESSAGE_ID                     NUMBER(18, 0)     NOT NULL,
    EXTERNAL_PARTNER_ID            NUMBER(18, 0) ,
    SERVICE_PROVIDER_ID            NUMBER(18, 0) ,
    DOCUMENT_ID                    NUMBER(18, 0) ,
    DELIVERY_METHOD_ID             NUMBER(18, 0) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    MODULE_ID                      VARCHAR2(128) ,
    OBJECT_KEY1_XPATH              VARCHAR2(4000),
    OBJECT_KEY2_XPATH              VARCHAR2(4000),
    OBJECT_KEY3_XPATH              VARCHAR2(4000),
    OBJECT_KEY4_XPATH              VARCHAR2(4000),
    OBJECT_KEY5_XPATH              VARCHAR2(4000),
    OBJECT_KEY6_XPATH              VARCHAR2(4000),
    DELIVERY_RULE_ID               NUMBER(18, 0) ,
    RESPONSE_EXT_PTNR_MSG_ID       NUMBER(18, 0) ,
    CONFIRM_EXT_PTNR_MSG_ID        NUMBER(18, 0) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    PRIMARY_FLAG                   VARCHAR2(4)   ,
    B2B_ACCOUNT_NUM_XPATH          VARCHAR2(4000),
    PROVIDER_ID                    NUMBER(18, 0) 
);
